osl::PathEncoding Class Reference

`#include <pathEncoding.h>`

## Public Member Functions

| PathEncoding (int d=0)
| PathEncoding (Player turn, int d=0)
| PathEncoding (const PathEncoding &org, Move m)
Player | turn () const
void | pushMove (Move m)
void | popMove (Move m)
unsigned long long | getPath () const
int | getDepth () const

## Private Attributes

unsigned long long | path
int | depth

## Detailed Description

Definition at line 39 of file pathEncoding.h.

## Constructor & Destructor Documentation

## PathEncoding() [1/3]

osl::PathEncoding::PathEncoding | ( | int | d = 0 | ) |

inline explicit

Definition at line 44 of file pathEncoding.h.

References depth, and path.

## PathEncoding() [2/3]

osl::PathEncoding::PathEncoding | ( | Player | turn,
|  | int | d = 0 )

inline explicit

Definition at line 47 of file pathEncoding.h.

References osl::BLACK, depth, path, and turn().

## PathEncoding() [3/3]

osl::PathEncoding::PathEncoding | ( | const PathEncoding & | org,
|  | Move | m )

inline

Definition at line 51 of file pathEncoding.h.

References depth, path, and pushMove().

## Member Function Documentation

## getDepth()

int osl::PathEncoding::getDepth | ( |  | ) | const

inline

Definition at line 70 of file pathEncoding.h.

References depth.

Referenced by osl::checkmate::Dfpn::attack(), osl::checkmate::Dfpn::defense(), and osl::operator<<().

## getPath()

unsigned long long osl::PathEncoding::getPath | ( |  | ) | const

inline

Definition at line 69 of file pathEncoding.h.

References path.

Referenced by osl::operator<<(), and osl::operator==().

## popMove()

void osl::PathEncoding::popMove | ( | Move | m | ) |

inline

Definition at line 63 of file pathEncoding.h.

References depth, path, osl::Path_Encoding_Table, osl::Move::player(), and turn().

## pushMove()

void osl::PathEncoding::pushMove | ( | Move | m | ) |

inline

Definition at line 57 of file pathEncoding.h.

References depth, path, osl::Path_Encoding_Table, osl::Move::player(), and turn().

Referenced by osl::checkmate::Dfpn::analyze(), osl::checkmate::Dfpn::attack(), osl::checkmate::Dfpn::blockingSimulation(), osl::checkmate::Dfpn::defense(), osl::record::CheckDuplicate::getLastState(), osl::checkmate::Dfpn::grandParentSimulation(), osl::checkmate::Dfpn::Node::newPath(), PathEncoding(), osl::checkmate::Dfpn::proofOracleAttack(), and osl::checkmate::Dfpn::proofOracleDefense().

## turn()

Player osl::PathEncoding::turn | ( |  | ) | const

inline

Definition at line 56 of file pathEncoding.h.

References osl::BLACK, path, and osl::WHITE.

Referenced by PathEncoding(), popMove(), and pushMove().

## Member Data Documentation

## depth

int osl::PathEncoding::depth

private

Definition at line 42 of file pathEncoding.h.

Referenced by getDepth(), PathEncoding(), PathEncoding(), PathEncoding(), popMove(), and pushMove().

## path

unsigned long long osl::PathEncoding::path

private

Definition at line 41 of file pathEncoding.h.

Referenced by getPath(), PathEncoding(), PathEncoding(), PathEncoding(), popMove(), pushMove(), and turn().

The documentation for this class was generated from the following file:

- pathEncoding.h